# bower – Manage bower packages with bower

- Synopsis
- Parameters
- Examples
- Status

## Synopsis

- Manage bower packages with bower

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
name - |  | The name of a bower package to install

offline
boolean

Choices:
- no ←
- yes

Install packages from local cache, if the packages were installed before

path - / required |  | The base path where to install the bower packages

production
boolean

Choices:
- no ←
- yes

Install with --production flag

relative_execpath - |  | Relative path to bower executable from install path

state
-

Choices:
- present ←
- absent
- latest

The state of the bower package

version - |  | The version to be installed

## Examples

    - name: Install "bootstrap" bower package.
      bower:
        name: bootstrap

    - name: Install "bootstrap" bower package on version 3.1.1.
      bower:
        name: bootstrap
        version: '3.1.1'

    - name: Remove the "bootstrap" bower package.
      bower:
        name: bootstrap
        state: absent

    - name: Install packages based on bower.json.
      bower:
        path: /app/location

    - name: Update packages based on bower.json to their latest version.
      bower:
        path: /app/location
        state: latest

    # install bower locally and run from there
    - npm:
        path: /app/location
        name: bower
        global: no
    - bower:
        path: /app/location
        relative_execpath: node_modules/.bin

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Michael Warkentin (@mwarkentin)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.